=== QtMobility/Connectivity/CMakeLists.txt ===
project(Connectivity)

set(Connectivity_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/connectivity_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_connectivity_python.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothaddress_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothaddress_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdevicediscoveryagent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdevicediscoveryagent_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothdeviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothhostinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothhostinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothlocaldevice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothlocaldevice_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothservicediscoveryagent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothservicediscoveryagent_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothserviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothserviceinfo_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothsocket_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothsocket_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransfermanager_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransfermanager_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferreply_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferreply_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferrequest_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothtransferrequest_wrapper.h
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothuuid_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qbluetoothuuid_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capserver_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capserver_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capsocket_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_ql2capsocket_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpserver_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpserver_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpsocket_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qllcpsocket_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndeffilter_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndeffilter_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefmessage_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefmessage_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfctextrecord_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfctextrecord_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfcurirecord_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefnfcurirecord_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefrecord_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qndefrecord_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldmanager_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldmanager_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype1_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype1_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype2_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype2_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype3_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype3_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype4_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtagtype4_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtarget_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qnearfieldtarget_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommserver_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommserver_wrapper.h
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommsocket_wrapper.cpp
#${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/qtmobility_qrfcommsocket_wrapper.h
)

set(Connectivity_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/Connectivity/
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
${QT_MOBILITY_CONNECTIVITY_INCLUDE_DIR}
)

set(Connectivity_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_CONNECTIVITY_LIBRARY}
)

CREATE_PYSIDE_MODULE(Connectivity
                     ${QT_MOBILITY_CONNECTIVITY_INCLUDE_DIR}
                     Connectivity_SRC
                     Connectivity_INCLUDE_DIRECTORIES
                     Connectivity_LINK_LIBRARIES)
