=== QtMobility/MultimediaKit/CMakeLists.txt ===
project(MultimediaKit)


if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 2)
    set(MultimediaKit_12_SRC )
else()
    set(MultimediaKit_12_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraflashcontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmedianetworkaccesscontrol_wrapper.cpp
    )
endif()

if(${QT_MOBILITY_MAJOR_VERSION} EQUAL 1 AND ${QT_MOBILITY_MINOR_VERSION} LESS 1)
    set(MultimediaKit_11_SRC )
else()
    set(MultimediaKit_11_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameracontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraexposurecontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraexposure_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamerafocuscontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamerafocus_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimagecapturecontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimagecapture_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimageprocessingcontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraimageprocessing_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameralockscontrol_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcameraviewfinder_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamera_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qcamerafocuszone_wrapper.cpp
    ${MultimediaKit_12_SRC}
    )
endif()

set(MultimediaKit_SRC
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/multimediakit_module_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiodeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudioinput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractaudiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideobuffer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qabstractvideosurface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiocapturesource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiodeviceinfo_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioendpointselector_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioformat_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudioinput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiooutput_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemfactoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudiosystemplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qaudio_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qgraphicsvideoitem_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qimageencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qlocalmediaplaylistprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediabindableinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontainercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontent_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediacontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaimageviewer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaobject_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplayer_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistcontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistiointerface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistioplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistnavigator_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistreader_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistsourcecontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylist_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaplaylistwriter_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecordercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediarecorder_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaresource_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicefeaturesinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderfactoryinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderhint_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceprovider_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaserviceproviderplugin_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupporteddevicesinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservicesupportedformatsinterface_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediaservice_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediastreamscontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimeinterval_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmediatimerange_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatareadercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qmetadatawritercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotunercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qradiotuner_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qtmultimediakit_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideodevicecontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoencodersettings_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideoframe_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideorenderercontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideosurfaceformat_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidgetcontrol_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowidget_wrapper.cpp
${CMAKE_CURRENT_BINARY_DIR}/${BINDING_NAME}/MultimediaKit/qvideowindowcontrol_wrapper.cpp
${MultimediaKit_11_SRC}
)

set(MultimediaKit_INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}/${BINDING_NAME}/MultimediaKit
${SHIBOKEN_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYSIDE_INCLUDE_DIR}
${PYSIDE_INCLUDE_DIR}/QtCore
${PYSIDE_INCLUDE_DIR}/QtGui
${PYSIDE_INCLUDE_DIR}/QtNetwork
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}
${QT_QTGUI_INCLUDE_DIR}
${QT_QTNETWORK_INCLUDE_DIR}
${QT_MOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}
${QT_MOBILITY_INCLUDE_DIR}
${QT_MOBILITY_PARENT_INCLUDE_DIR}
)

set(MultimediaKit_LINK_LIBRARIES
${PYTHON_LIBRARIES}
${SHIBOKEN_LIBRARY}
${PYSIDE_LIBRARY}
${QT_QTCORE_LIBRARY}
${QT_QTGUI_LIBRARY}
${QT_QTNETWORK_LIBRARY}
${QT_MOBILITY_MULTIMEDIAKIT_LIBRARY}
)

CREATE_PYSIDE_MODULE(MultimediaKit
                     ${QT_MOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}
                     MultimediaKit_SRC
                     MultimediaKit_INCLUDE_DIRECTORIES
                     MultimediaKit_LINK_LIBRARIES)
