=== tests/Gallery/CMakeLists.txt ===
QTMOBILITY_TEST(qgalleryfilter_test.py)
QTMOBILITY_TEST(qgalleryfilter_copy_test.py)
QTMOBILITY_TEST(qgalleryfilter_intersection_test.py)
QTMOBILITY_TEST(qgalleryunionfilter_test.py)
QTMOBILITY_TEST(qgalleryproperty_operators_test.py)
