=== debian/changelog ===
pyside-mobility-12 (0.2.2-0maemo1) unstable; urgency=low

  * New upstream release: 0.2.2

 -- Willer Moreira <willer.moreira@openbossa.org>  Wed, 20 Jul 2011 08:04:44 -0400

pyside-mobility (0.2.0-0maemo11) unstable; urgency=low

  * Version bump.

 -- Willer Moreira <willer.moreira@openbossa.org>  Thu, 02 Jun 2011 15:04:23 -0400

pyside-mobility (0.2.0-0maemo10) unstable; urgency=low

  * PySide update.

 -- Renato Araujo <renato@renatofilho.indt.org>  Mon, 09 May 2011 14:16:52 -0300

pyside-mobility (0.2.0-0maemo8) unstable; urgency=low

  * Version bump.
  * Update shlibs.local.
  * Update build dependencies needed versions.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 11 Apr 2011 14:28:30 -0400

pyside-mobility (0.2.0-0maemo7) unstable; urgency=low

  * Version bump. 

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 28 Feb 2011 10:44:40 -0400

pyside-mobility (0.2.0-0maemo6) unstable; urgency=low

  * Version bump.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Fri, 25 Feb 2011 16:44:00 -0400

pyside-mobility (0.2.0-0maemo5) unstable; urgency=low

  * Version bump.
  * Update shlibs.local.
  * Update build dependencies needed versions.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue, 22 Feb 2011 13:39:56 -0400

pyside-mobility (0.2.0-0maemo4) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta5 release.
  * Fix -dbg package.
  * Add shlibs.local file to ensure proper shared libs are found.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Tue,  8 Feb 2011 11:35:18 -0400

pyside-mobility (0.2.0-0maemo3) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta4 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Mon, 31 Jan 2011 09:17:18 -0400

pyside-mobility (0.2.0-0maemo2) unstable; urgency=low

  * Version bump to work with latest PySide1.0.0~beta3 release.

 -- Bruno Araujo <bruno.araujo@openbossa.org>  Wed, 12 Jan 2011 14:41:30 -0400

pyside-mobility (0.2.0-0maemo1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Fix upstream version to 0.2.0
  * Rebuild against pyside beta2

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 28 Dec 2010 17:20:32 -0300

pyside-mobility (0.2-0maemo5) unstable; urgency=low

  [ Luciano Wolf ]
  * Version bump to work with latest PySide1.0~beta1 release.

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 28 Dec 2010 16:20:54 -0300

pyside-mobility (0.2-0maemo4) unstable; urgency=low

  * Now building with PySide 0.4.2 and Qt4.7.
    + Disabled QtBearer module.
    + Renamed packages to python-qtmobility.<module>

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Wed, 27 Oct 2010 20:56:29 +0000

pyside-mobility (0.1-0maemo3) unstable; urgency=low

  * Add missing file in QtMobility/Bearer/CMakeLists.txt

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Fri, 13 Aug 2010 17:46:19 -0400

pyside-mobility (0.1-0maemo2) unstable; urgency=low

  * Add missing modules: Bearer, Messaging, PublishSubscribe

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Thu, 12 Aug 2010 09:21:00 -0400

pyside-mobility (0.1-0maemo1) unstable; urgency=low

  * Initial Release

 -- Willer Moreira <willer.moreira@openbossa.org>  Fri, 30 Jul 2010 16:21:54 -0400
