=== debian/control ===
Source: pyside-mobility-12
Section: python
Priority: optional
Maintainer: Marcelo Lira <marcelo.lira@openbossa.org>
Build-Depends: debhelper7, cmake (>= 2.6.0), quilt, python-all-dev (>= 2.5.2-3), python-all-dbg (>= 2.5.2-3), python-support (>= 0.3.9), libqt4-dev (>= 4.6), libqtm-12-dev (>= 1.2.0), shiboken (>= 1.0.5), generatorrunner (>= 0.6.11), libshiboken-dev (>= 1.0.5), python-pyside (>= 1.0.5), libpyside-dev (>= 1.0.5)
Standards-Version: 3.8.4
XS-Python-Version: >= 2.5
Homepage: http://www.pyside.org/

Package: python-qtmobility12
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility12.contacts (>= ${binary:Version}),
	 python-qtmobility12.connectivity (>= ${binary:Version}),
	 python-qtmobility12.feedback (>= ${binary:Version}),
	 python-qtmobility12.gallery (>= ${binary:Version}),
	 python-qtmobility12.location (>= ${binary:Version}),
	 python-qtmobility12.messaging (>= ${binary:Version}),
	 python-qtmobility12.multimediakit (>= ${binary:Version}),
	 python-qtmobility12.organizer (>= ${binary:Version}),
	 python-qtmobility12.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility12.sensors (>= ${binary:Version}),
	 python-qtmobility12.serviceframework (>= ${binary:Version}),
	 python-qtmobility12.systeminfo (>= ${binary:Version}),
	 python-qtmobility12.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (big metapackage)
 Python bindings for Qt Mobility. This is a metapackage for all modules.

Package: python-qtmobility12-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
	 python-qtmobility12.contacts (>= ${binary:Version}),
	 python-qtmobility12.connectivity (>= ${binary:Version}),
	 python-qtmobility12.feedback (>= ${binary:Version}),
	 python-qtmobility12.gallery (>= ${binary:Version}),
	 python-qtmobility12.location (>= ${binary:Version}),
	 python-qtmobility12.messaging (>= ${binary:Version}),
	 python-qtmobility12.multimediakit (>= ${binary:Version}),
	 python-qtmobility12.organizer (>= ${binary:Version}),
	 python-qtmobility12.publishsubscribe (>= ${binary:Version}),
	 python-qtmobility12.sensors (>= ${binary:Version}),
	 python-qtmobility12.serviceframework (>= ${binary:Version}),
	 python-qtmobility12.systeminfo (>= ${binary:Version}),
	 python-qtmobility12.versit (>= ${binary:Version})
Description: Python bindings for Qt Mobility (debug symbols)
 Python bindings for Qt Mobility. This package contains the debug symbols.

Package: python-qtmobility12.contacts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-contacts, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Contacts module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Contacts module.

Package: python-qtmobility12.connectivity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-connectivity, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Connectivity module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Connectivity module.

Package: python-qtmobility12.feedback
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-feedback, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Feedback module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Feedback module.

Package: python-qtmobility12.gallery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-gallery, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Gallery module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Gallery module.

Package: python-qtmobility12.location
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-location, python-pyside.qtcore
Description: Qt Mobility Location module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Location module.

Package: python-qtmobility12.messaging
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-messaging, python-pyside.qtgui, python-pyside.qtxml
Description: Qt Mobility Messaging module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Messaging module.

Package: python-qtmobility12.multimediakit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-multimedia, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility MultimediaKit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the MultimediaKit module.

Package: python-qtmobility12.organizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-organizer, python-pyside.qtcore, python-pyside.qtgui
Description: Qt Mobility Organizer module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Organizer module.

Package: python-qtmobility12.publishsubscribe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-publishsubscribe, python-pyside.qtnetwork, python-pyside.qtxml
Description: Qt Mobility Publish and Subscribe module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Publish and Subscribe module.

Package: python-qtmobility12.sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-sensors, python-pyside.qtcore
Description: Qt Mobility Sensors module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Sensors module.

Package: python-qtmobility12.serviceframework
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-serviceframework, python-pyside.qtcore
Description: Qt Mobility Service Framework module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the Service Framework module.

Package: python-qtmobility12.systeminfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-systeminfo, python-pyside.qtcore, python-pyside.qtnetwork
Description: Qt Mobility SystemInfo module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the SystemInfo module.

Package: python-qtmobility12.versit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libqtm-12-versit, python-pyside.qtcore, python-pyside.qtgui, python-qtmobility12.contacts
Description: Qt Mobility Versit module - Python bindings
 Qt Mobility Project delivers a set of new APIs to Qt with features that are
 well known from the mobile device world, in particular phones.
 .
 This package provides Python bindings for the QtOpenGL module.
